Sunday, March 06, 2011

Oops, Android malware fix will require carriers to update 2.2.1 & earlier. How likely is that anytime soon? http://j.mp/gElEEM
Post a Comment